mscorlib 4.0.0.0 System.Enum System.Flags To be added.

Specifies the behavior for a task that is created by using the or method.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions

  Specifies that a task is attached to a parent in the task hierarchy.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions

  Specifies that an will be thrown if an attempt is made to attach a child task to the created task.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions

  Specifies that the continuation task should be executed synchronously. With this option specified, the continuation will be run on the same thread that causes the antecedent task to transition into its final state. If the antecedent is already complete when the continuation is created, the continuation will run on the thread creating the continuation. Only very short-running continuations should be executed synchronously.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions

  Prevents the ambient scheduler from being seen as the current scheduler in the created task. This means that operations like StartNew or ContinueWith that are performed in the created task will see as the current scheduler.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions

  In the case of continuation cancellation, prevents completion of the continuation until the antecedent has completed.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions

  Specifies that a task will be a long-running, course-grained operation. It provides a hint to the that oversubscription may be warranted.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions

  Default = "Continue on any, no task options, run asynchronously" Specifies that the default behavior should be used. Continuations, by default, will be scheduled when the antecedent task completes, regardless of the task's final .

- Field
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions

  Specifies that the continuation task should not be scheduled if its antecedent was canceled. This option is not valid for multi-task continuations.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions

  Specifies that the continuation task should not be scheduled if its antecedent threw an unhandled exception. This option is not valid for multi-task continuations.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions

  Specifies that the continuation task should not be scheduled if its antecedent ran to completion. This option is not valid for multi-task continuations.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions

  Specifies that the continuation task should be scheduled only if its antecedent was canceled. This option is not valid for multi-task continuations.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions

  Specifies that the continuation task should be scheduled only if its antecedent threw an unhandled exception. This option is not valid for multi-task continuations.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions

  Specifies that the continuation task should be scheduled only if its antecedent ran to completion. This option is not valid for multi-task continuations.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskContinuationOptions

  A hint to a to schedule a task in as fair a manner as possible, meaning that tasks scheduled sooner will be more likely to be run sooner, and tasks scheduled later will be more likely to be run later.